Index: info.c
===================================================================
RCS file: /cvsroot/psqlodbc/psqlodbc/info.c,v
retrieving revision 1.159
diff -u -p -r1.159 info.c
--- info.c	24 Jan 2010 07:56:13 -0000	1.159
+++ info.c	9 Jun 2010 15:33:11 -0000
@@ -1497,11 +1497,13 @@ allow_public_schema(ConnectionClass *con
 	const char *user = CC_get_username(conn);
 	size_t	userlen = strlen(user);
 
+	if (NULL == szSchemaName)
+		return FALSE;
+
 	if (SQL_NTS == cbSchemaName)
 		cbSchemaName = strlen(szSchemaName);
 
-	return (NULL != szSchemaName &&
-		cbSchemaName == (SQLSMALLINT) userlen &&
+	return (cbSchemaName == (SQLSMALLINT) userlen &&
 		strnicmp(szSchemaName, user, userlen) == 0 &&
 		stricmp(CC_get_current_schema(conn), pubstr) == 0);
 }
